pkgtools/cwrappers - The NetBSD Packages Collection

pkgsrc compiler wrappers

The cwrappers package implements the compiler wrappers for pkgsrc.
They are the foundation of the buildlink framework. They also allow
various transformations of arguments to simplify
cross-platform portability.

Build dependencies

(none)

Runtime dependencies

(none)

Available binary packages

aarch64:cwrappers-20180325.tgz(NetBSD 9.0)
aarch64:cwrappers-20180325.tgz(NetBSD 9.0)
aarch64:cwrappers-20180325.tgz(NetBSD 9.0)
alpha:cwrappers-20180325.tgz(NetBSD 9.0)
alpha:cwrappers-20180325.tgz(NetBSD 9.0)
alpha:cwrappers-20180325.tgz(NetBSD 9.0)
earm:cwrappers-20180325.tgz(NetBSD 9.0)
earm:cwrappers-20180325.tgz(NetBSD 9.0)
earm:cwrappers-20180325.tgz(NetBSD 9.0)
earmv6hf:cwrappers-20180325.tgz(NetBSD 9.0)
earmv6hf:cwrappers-20180325.tgz(NetBSD 9.0)
earmv6hf:cwrappers-20180325.tgz(NetBSD 9.0)
earmv6hf:cwrappers-20180325.tgz(NetBSD 9.0)
earmv7hf:cwrappers-20180325.tgz(NetBSD 8.0)
earmv7hf:cwrappers-20180325.tgz(NetBSD 8.0)
earmv7hf:cwrappers-20180325.tgz(NetBSD 8.0)
earmv7hf:cwrappers-20180325.tgz(NetBSD 8.0)
earmv7hf:cwrappers-20180325.tgz(NetBSD 8.0)
earmv7hf:cwrappers-20180325.tgz(NetBSD 9.0)
earmv7hf:cwrappers-20180325.tgz(NetBSD 9.0)
earmv7hf:cwrappers-20180325.tgz(NetBSD 9.0)
earmv7hf:cwrappers-20180325.tgz(NetBSD 9.0)
earmv7hf:cwrappers-20180325.tgz(NetBSD 9.0)
earmv7hf:cwrappers-20180325.tgz(NetBSD 9.0)
i386:cwrappers-20180325.tgz(NetBSD 8.0)
i386:cwrappers-20180325.tgz(NetBSD 8.0)
i386:cwrappers-20180325.tgz(NetBSD 8.0)
i386:cwrappers-20180325.tgz(NetBSD 9.0)
i386:cwrappers-20180325.tgz(NetBSD 9.0)
i386:cwrappers-20180325.tgz(NetBSD 9.0)
m68k:cwrappers-20180325.tgz(NetBSD 9.0)
m68k:cwrappers-20180325.tgz(NetBSD 9.0)
m68k:cwrappers-20180325.tgz(NetBSD 9.0)
m68k:cwrappers-20180325.tgz(NetBSD 9.0)
mips64eb:cwrappers-20180325.tgz(NetBSD 9.0)
mips64eb:cwrappers-20180325.tgz(NetBSD 9.0)
mipsel:cwrappers-20180325.tgz(NetBSD 9.0)
powerpc:cwrappers-20180325.tgz(NetBSD 8.0)
powerpc:cwrappers-20180325.tgz(NetBSD 8.0)
powerpc:cwrappers-20180325.tgz(NetBSD 8.0)
powerpc:cwrappers-20180325.tgz(NetBSD 9.0)
powerpc:cwrappers-20180325.tgz(NetBSD 9.0)
powerpc:cwrappers-20180325.tgz(NetBSD 9.0)
sh3el:cwrappers-20180325.tgz(NetBSD 9.0)
sh3el:cwrappers-20180325.tgz(NetBSD 9.0)
sparc64:cwrappers-20180325.tgz(NetBSD 9.0)
sparc64:cwrappers-20180325.tgz(NetBSD 9.0)
sparc64:cwrappers-20180325.tgz(NetBSD 9.0)
sparc:cwrappers-20180325.tgz(NetBSD 9.0)
sparc:cwrappers-20180325.tgz(NetBSD 9.0)
sparc:cwrappers-20180325.tgz(NetBSD 9.0)
vax:cwrappers-20180325.tgz(NetBSD 9.0)
vax:cwrappers-20180325.tgz(NetBSD 9.0)
x86_64:cwrappers-20180325.tgz(NetBSD 9.0)
x86_64:cwrappers-20180325.tgz(NetBSD 9.0)
x86_64:cwrappers-20180325.tgz(NetBSD 9.0)
x86_64:cwrappers-20180325.tgz(NetBSD 9.0)
x86_64:cwrappers-20180325.tgz(NetBSD 8.0)
x86_64:cwrappers-20180325.tgz(NetBSD 8.0)
x86_64:cwrappers-20180325.tgz(NetBSD 8.0)
x86_64:cwrappers-20180325.tgz(NetBSD 9.0)
x86_64:cwrappers-20180325.tgz(NetBSD 9.0)
x86_64:cwrappers-20180325.tgz(NetBSD 9.0)
x86_64:cwrappers-20180325.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]